package banco;

import banco.*;
import org.omg.CORBA.*;
import org.omg.CosNaming.*;
import org.omg.CosNaming.NamingContextPackage.*;

public class cliente {

	public static void main(String args[]) {
		try {
			// Cria e inicializa o ORB
			ORB orb = ORB.init(args, null);

			// Obtem referencia para o servico de nomes
			org.omg.CORBA.Object objRef = orb
					.resolve_initial_references("NameService");
			NamingContextExt ncRef = NamingContextExtHelper.narrow(objRef);

			// Obtem referencia para o servidor
			String name = "AutoAtendimento";
			auto_atendimento server = auto_atendimentoHelper.narrow(ncRef
					.resolve_str(name));

			// Imprime mensagem de boas-vindas
			System.out.println(server.boas_vindas());

			// Obtem o numero da conta
			System.out.print("Entre o numero da sua conta: ");
			java.io.BufferedReader reader = new java.io.BufferedReader(
					new java.io.InputStreamReader(System.in));
			String conta = reader.readLine();

			System.out.print("Entre a operação que deseja realizar: \n"
					+ "1 - Saldo\n" + "2 - Extrato\n" + "3 - Transação\n"
					+ "4 - Aplicação\n");

			String operacao = reader.readLine();
			int oper = Integer.parseInt(operacao);
			switch (oper) {
			case 1:
				System.out.println("You have R$"
						+ server.saldo(Integer.parseInt(conta)));
				break;
			case 2:
				transacoesHolder th = new transacoesHolder();
				org.omg.CORBA.DoubleHolder saldo = new org.omg.CORBA.DoubleHolder();
				server.extrato(Integer.parseInt(conta), th, saldo);
				
				System.out.println("Informations:");
				for (transacao t : th.value) {
					System.out.println(t.data + " - " + t.descricao + " - " + t.quantia);
				}
				System.out.println("You have R$: " + saldo.value);
				
				break;
			case 3:
				//TODO do a Transaction
				break;
			case 4:
				//TODO do a Aplication
				break;
				
			default:
				break;
			}

		} catch (Exception e) {
			System.out.println("ERROR : " + e);
			e.printStackTrace(System.out);
		}
	}
}
